import Foundation

extension LoginActivationPresenterState
{
    func toLocalizedString() -> String? {
        switch self {
        case .start, .connectingToBackend:
            return localize(key: "LoginActivationPresenterState.connectingToBackend")
        case .activating:
            return localize(key: "LoginActivationPresenterState.activating")
        case .finished(let error):
            guard let error = error else
            {
                return nil // successful
            }
            return localize(key: "LoginActivationPresenterState." + error.rawValue)
        }
    }
}
